Viber — различия между версиями

Материал из ALT Linux Wiki
Перейти к: навигация, поиск
(+ epm play, AppImage)
 
Строка 2: Строка 2:
 
{{Внимание|На [http://www.viber.com/ru сайте Viber] доступна только 64-битная версия, на 32-битную систему она не встанет.}}
 
{{Внимание|На [http://www.viber.com/ru сайте Viber] доступна только 64-битная версия, на 32-битную систему она не встанет.}}
 
{{Памятка|При первом запуске программе понадобится Viber на телефоне.}}
 
{{Памятка|При первом запуске программе понадобится Viber на телефоне.}}
 +
 +
{{Note|При наличии пакета {{pkg|eepm}}, начиная с версии 3.6.4-alt1, можно установить Viber одной командой:
 +
<source lang="text" highlight="1"># epm play viber</source>
 +
Пакет при этом будет скачан с официального сайта.
 +
}}
 +
 
* Удостовериться в наличии необходимого инструментария:
 
* Удостовериться в наличии необходимого инструментария:
 
*:<source lang="bash"># apt-get install -y ca-trust eepm elinks wget</source>
 
*:<source lang="bash"># apt-get install -y ca-trust eepm elinks wget</source>
Строка 16: Строка 22:
 
* Установить получившийся в результате пакет:
 
* Установить получившийся в результате пакет:
 
*:<source lang="bash"># apt-get install viber-alt1.repacked.with.epm.3.x86_64.rpm</source>
 
*:<source lang="bash"># apt-get install viber-alt1.repacked.with.epm.3.x86_64.rpm</source>
 +
 +
{{Note|Также можно загрузить файл https://download.cdn.viber.com/desktop/Linux/viber.AppImage и запускать Viber без установки и без необходимости получения прав root (см. [[Appimage]]).}}
 +
 
==Работа через прокси-сервер==
 
==Работа через прокси-сервер==
 
Многие проприетарные продукты понимают глобальные настройки прокси в Windows, при этом игнорируя их в линуксе. Но и на эти хитрые проги найдётся толкатель с левой резьбой, а именно &mdash; <strong>proxychains</strong>:
 
Многие проприетарные продукты понимают глобальные настройки прокси в Windows, при этом игнорируя их в линуксе. Но и на эти хитрые проги найдётся толкатель с левой резьбой, а именно &mdash; <strong>proxychains</strong>:

Текущая версия на 08:06, 5 апреля 2021

Установка[править]

Внимание: На сайте Viber доступна только 64-битная версия, на 32-битную систему она не встанет.
Памятка: При первом запуске программе понадобится Viber на телефоне.
Примечание: При наличии пакета eepm, начиная с версии 3.6.4-alt1, можно установить Viber одной командой:
# epm play viber

Пакет при этом будет скачан с официального сайта.


  • Удостовериться в наличии необходимого инструментария:
    # apt-get install -y ca-trust eepm elinks wget
    
Примечание: Похоже, на новых дистрибутивах следующий шаг больше делать не требуется.
  • Получить корневые сертификаты Thawte и сразу обновить список доверенных центров (что способствует в т.ч. работоспособности DropBox):
    #
    for SRC in www.thawte.com/roots/thawte_Premium_Server_CA.pem github.com/katmagic/https-everywhere/blob/master/cert-validity/mozilla/builtin-certs/Thawte_Premium_Server_CA.crt; do
        TGT=/usr/share/pki/ca-trust-source/anchors/`basename $SRC`
        [ -f $TGT ] || elinks -dump <nowiki>https://$SRC</nowiki> | sed -n '/----/,/----/p;s/\r//' >$TGT
    done && update-ca-trust
    
  • Скачать под обычным пользователем свежий релиз и сразу сконвертировать его для Альта:
    $ wget https://download.cdn.viber.com/desktop/Linux/viber.rpm && epm repack viber.rpm
    
  • Установить получившийся в результате пакет:
    # apt-get install viber-alt1.repacked.with.epm.3.x86_64.rpm
    
Примечание: Также можно загрузить файл https://download.cdn.viber.com/desktop/Linux/viber.AppImage и запускать Viber без установки и без необходимости получения прав root (см. Appimage).


Работа через прокси-сервер[править]

Многие проприетарные продукты понимают глобальные настройки прокси в Windows, при этом игнорируя их в линуксе. Но и на эти хитрые проги найдётся толкатель с левой резьбой, а именно — proxychains:

# apt-get install -y proxychains

Настроить прокси в /etc/proxychains.conf и запускать:

$ proxychains <program>

А в данном случае проще...

  • создать симлинк в общедоступное место (по аналогии с zoom-ом):
    # ln -s /opt/viber/Viber /usr/bin/viber
    
  • после чего поправить прямо файл меню, заменив в /usr/share/applications/viber.desktop строку:
    Exec=/opt/viber/Viber %u
    
    на:
    Exec=proxychains viber %u